Page MenuHomePhabricator

Allow all applications to filter results by project
Closed, ResolvedPublic

Description

Currently, Maniphest supports search by project (including not/all/any) and Diffusion supports this in a limited way.

All applications with objects which implement PhabricatorProjectInterface should support reasonable search-by-project capabilities. This should be implemented in a general way. Rough approach here is:

  • Move Maniphest to modern edges (T5245).
  • Modernize typeaheads (T4420).
  • Parameterize typeaheads (T4100) and use that to reduce the UI weight of project filters (by combining fields using parameters).
  • Generalize search in Maniphest.
  • Port and generalize search in Diffusion.
  • Finally, support general search for all PhabricatorProjectInterface objects.

Event Timeline

epriestley claimed this task.
epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added a subscriber: epriestley.
epriestley edited this Maniphest Task.Jul 10 2014, 7:33 PM
epriestley edited this Maniphest Task.Jul 10 2014, 7:34 PM
epriestley edited this Maniphest Task.

T2628 covers implementing PhabricatorProjectInterface in more applications.

svemir added a subscriber: svemir.Jul 11 2014, 9:47 PM
epriestley added a subscriber: chad.

Thought I remembered one of these. D9724 has some more discussion, in particular.

epriestley closed this task as Resolved.Apr 23 2015, 7:12 PM

Diffusion, Pholio, Differential and Maniphest now support generic, full-power modern project filtering. I think that covers all the applications we're aware of significant interest in for this feature. It will come to other applications as they get modernized and updated over time.